### Hierarchy

- CanvasPath
  - Path2D

## Index

### Methods

- addPath
- arc
- arcTo
- bezierCurveTo
- closePath
- ellipse
- lineTo
- moveTo
- quadraticCurveTo
- rect

## Methods

### addPath

- addPath(path: Path2D, transform?: DOMMatrix2DInit): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10843

  #### Parameters

  - ##### path: Path2D

  - ##### Optional transform: DOMMatrix2DInit

  #### Returns void

### arc

- arc(x: number, y: number, radius: number, startAngle: number, endAngle: number, anticlockwise?: undefined | false | true): void

- Inherited from CanvasPath.arc

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3056

  #### Parameters

  - ##### x: number

  - ##### y: number

  - ##### radius: number

  - ##### startAngle: number

  - ##### endAngle: number

  - ##### Optional anticlockwise: undefined | false | true

  #### Returns void

### arcTo

- arcTo(x1: number, y1: number, x2: number, y2: number, radius: number): void

- Inherited from CanvasPath.arcTo

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3057

  #### Parameters

  - ##### x1: number

  - ##### y1: number

  - ##### x2: number

  - ##### y2: number

  - ##### radius: number

  #### Returns void

### bezierCurveTo

- bezierCurveTo(cp1x: number, cp1y: number, cp2x: number, cp2y: number, x: number, y: number): void

- Inherited from CanvasPath.bezierCurveTo

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3058

  #### Parameters

  - ##### cp1x: number

  - ##### cp1y: number

  - ##### cp2x: number

  - ##### cp2y: number

  - ##### x: number

  - ##### y: number

  #### Returns void

### closePath

- closePath(): void

- Inherited from CanvasPath.closePath

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3059

  #### Returns void

### ellipse

- ellipse(x: number, y: number, radiusX: number, radiusY: number, rotation: number, startAngle: number, endAngle: number, anticlockwise?: undefined | false | true): void

- Inherited from CanvasPath.ellipse

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3060

  #### Parameters

  - ##### x: number

  - ##### y: number

  - ##### radiusX: number

  - ##### radiusY: number

  - ##### rotation: number

  - ##### startAngle: number

  - ##### endAngle: number

  - ##### Optional anticlockwise: undefined | false | true

  #### Returns void

### lineTo

- lineTo(x: number, y: number): void

- Inherited from CanvasPath.lineTo

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3061

  #### Parameters

  - ##### x: number

  - ##### y: number

  #### Returns void

### moveTo

- moveTo(x: number, y: number): void

- Inherited from CanvasPath.moveTo

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3062

  #### Parameters

  - ##### x: number

  - ##### y: number

  #### Returns void

### quadraticCurveTo

- quadraticCurveTo(cpx: number, cpy: number, x: number, y: number): void

- Inherited from CanvasPath.quadraticCurveTo

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3063

  #### Parameters

  - ##### cpx: number

  - ##### cpy: number

  - ##### x: number

  - ##### y: number

  #### Returns void

### rect

- rect(x: number, y: number, w: number, h: number): void

- Inherited from CanvasPath.rect

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3064

  #### Parameters

  - ##### x: number

  - ##### y: number

  - ##### w: number

  - ##### h: number

  #### Returns void

Generated using TypeDoc